Open Bug 1533111 Opened 8 months ago Updated 14 days ago

Intermittent devtools/client/aboutdebugging-new/test/browser/browser_aboutdebugging_serviceworker_multie10s.js | Test timed out -

Categories

(DevTools :: about:debugging, defect, P5)

defect

Tracking

(firefox-esr60 unaffected, firefox67 wontfix, firefox68 wontfix, firefox69 fix-optional, firefox70 fix-optional)

REOPENED
Firefox 69
Tracking Status
firefox-esr60 --- unaffected
firefox67 --- wontfix
firefox68 --- wontfix
firefox69 --- fix-optional
firefox70 --- fix-optional

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 2 open bugs)

Details

(Keywords: intermittent-failure, regression, Whiteboard: [retriggered][comment 30])

Attachments

(1 file)

#[markdown(off)]
Filed by: ccoroiu [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=232214128&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/SDSR1yW0RGCyH8ixSIGIgg/runs/0/artifacts/public/logs/live_backing.log

[task 2019-03-06T18:02:39.204Z] 18:02:39 INFO - TEST-START | devtools/client/aboutdebugging-new/test/browser/browser_aboutdebugging_serviceworker_multie10s.js
[task 2019-03-06T18:02:41.802Z] 18:02:41 INFO - GECKO(1070) | Handler function threw an exception: TypeError: actor is undefined
[task 2019-03-06T18:02:41.802Z] 18:02:41 INFO - GECKO(1070) | Stack: connectToContentProcess/</onMessageManagerClose<@resource://devtools/server/main.js:370:31
[task 2019-03-06T18:02:41.802Z] 18:02:41 INFO - GECKO(1070) | exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-03-06T18:02:41.802Z] 18:02:41 INFO - GECKO(1070) | Line: 370, column: 31
[task 2019-03-06T18:02:41.802Z] 18:02:41 INFO - GECKO(1070) | console.error: "Handler function threw an exception: TypeError: actor is undefined\nStack: connectToContentProcess/</onMessageManagerClose<@resource://devtools/server/main.js:370:31\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\nLine: 370, column: 31"
[task 2019-03-06T18:02:42.044Z] 18:02:42 INFO - GECKO(1070) | ###!!! [Child][MessageChannel] Error: (msgtype=0x340112,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost
[task 2019-03-06T18:02:42.044Z] 18:02:42 INFO - GECKO(1070) | JavaScript error: resource://devtools/server/startup/content-process.jsm, line 78: NS_ERROR_UNEXPECTED:
[task 2019-03-06T18:02:42.227Z] 18:02:42 INFO - GECKO(1070) | Push service worker registered
[task 2019-03-06T18:03:24.230Z] 18:03:24 INFO - TEST-INFO | started process screentopng
[task 2019-03-06T18:03:24.813Z] 18:03:24 INFO - TEST-INFO | screentopng: exit 0
[task 2019-03-06T18:03:24.813Z] 18:03:24 INFO - Buffered messages logged at 18:02:39
[task 2019-03-06T18:03:24.813Z] 18:03:24 INFO - Entering test bound
[task 2019-03-06T18:03:24.814Z] 18:03:24 INFO - opening about:debugging
[task 2019-03-06T18:03:24.816Z] 18:03:24 INFO - Adding a new tab with URL: about:debugging
[task 2019-03-06T18:03:24.816Z] 18:03:24 INFO - Tab added and finished loading
[task 2019-03-06T18:03:24.817Z] 18:03:24 INFO - Wait until Connect page is displayed
[task 2019-03-06T18:03:24.817Z] 18:03:24 INFO - Select This Firefox page
[task 2019-03-06T18:03:24.818Z] 18:03:24 INFO - Wait for requests to be complete
[task 2019-03-06T18:03:24.821Z] 18:03:24 INFO - Buffered messages logged at 18:02:41
[task 2019-03-06T18:03:24.823Z] 18:03:24 INFO - Wait for runtime page to be rendered
[task 2019-03-06T18:03:24.824Z] 18:03:24 INFO - Disabling multi e10s
[task 2019-03-06T18:03:24.825Z] 18:03:24 INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/aboutdebugging-new/test/browser/resources/service-workers/push-sw.html
[task 2019-03-06T18:03:24.826Z] 18:03:24 INFO - Buffered messages logged at 18:02:42
[task 2019-03-06T18:03:24.826Z] 18:03:24 INFO - Tab added and finished loading
[task 2019-03-06T18:03:24.828Z] 18:03:24 INFO - Forward service worker messages to the test
[task 2019-03-06T18:03:24.829Z] 18:03:24 INFO - Make the test page notify us when the service worker sends a message.
[task 2019-03-06T18:03:24.831Z] 18:03:24 INFO - Wait for the service worker to claim the test window before proceeding.
[task 2019-03-06T18:03:24.832Z] 18:03:24 INFO - Wait until the service worker appears and is running
[task 2019-03-06T18:03:24.832Z] 18:03:24 INFO - Buffered messages finished
[task 2019-03-06T18:03:24.834Z] 18:03:24 INFO - TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging-new/test/browser/browser_aboutdebugging_serviceworker_multie10s.js | Test timed out -
[task 2019-03-06T18:03:24.835Z] 18:03:24 INFO - Removing tab.
[task 2019-03-06T18:03:24.839Z] 18:03:24 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-03-06T18:03:24.839Z] 18:03:24 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-03-06T18:03:24.840Z] 18:03:24 INFO - Tab removed and finished closing
[task 2019-03-06T18:03:24.841Z] 18:03:24 INFO - Removing tab.
[task 2019-03-06T18:03:24.842Z] 18:03:24 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-03-06T18:03:24.844Z] 18:03:24 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-03-06T18:03:24.852Z] 18:03:24 INFO - Tab removed and finished closing
[task 2019-03-06T18:03:24.854Z] 18:03:24 INFO - GECKO(1070) | console.error: "[ACTION FAILED] REQUEST_TABS_FAILURE: Connection closed, pending request to root, type listTabs failed\n\nRequest stack:\nrequest@resource://devtools/shared/protocol.js:1386:14\ngenerateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:19\nlistTabs@resource://devtools/shared/fronts/root.js:189:44\nlistTabs@resource://devtools/client/aboutdebugging-new/src/modules/client-wrapper.js:132:33\nrequestTabs/<@resource://devtools/client/aboutdebugging-new/src/actions/debug-targets.js:143:40\nthunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9\ndispatch@resource://devtools/client/shared/vendor/redux.js:755:18\nonTabsUpdated@resource://devtools/client/aboutdebugging-new/src/middleware/debug-target-listener.js:19:11\nemit@resource://devtools/shared/event-emitter.js:186:24\nemit@resource://devtools/shared/event-emitter.js:267:18\nonPacket@resource://devtools/shared/protocol.js:1424:13\nonPacket@resource://devtools/shared/client/debugger-client.js:601:13\nsend/<@resource://devtools/shared/transport/local-transport.js:64:23\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\nDevToolsUtils.executeSoon*exports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21\nsend@resource://devtools/shared/transport/local-transport.js:58:21\nsend@resource://devtools/server/main.js:1023:20\nonTabListChanged@resource://devtools/server/actors/root.js:396:15\nBrowserTabList.prototype._notifyListChanged@resource://devtools/server/actors/webbrowser.js:397:10\nBrowserTabList.prototype.handleEvent<@resource://devtools/server/actors/webbrowser.js:585:12\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\naddTab@chrome://browser/content/tabbrowser.js:2654:7\naddTab@resource://testing-common/BrowserTestUtils.jsm:1940:23\naddTab@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:162:32\ntestDebuggingSW@chrome://mochitests/content/browser/devtools/client/aboutdebugging-new/test/browser/browser_aboutdebugging_serviceworker_multie10s.js:47:23\nasync*@chrome://mochitests/content/browser/devtools/client/aboutdebugging-new/test/browser/browser_aboutdebugging_serviceworker_multie10s.js:22:9\nTester_execTest/<@chrome://mochikit/content/browser-test.js:1106:34\nTester_execTest@chrome://mochikit/content/browser-test.js:1134:12\nnextTest/<@chrome://mochikit/content/browser-test.js:995:14\nSimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59\n"
[task 2019-03-06T18:03:24.858Z] 18:03:24 INFO - GECKO(1070) | console.error: "destroy@resource://devtools/shared/protocol.js:1299:23\ncleanup@resource://devtools/shared/protocol.js:960:10\nonClosed@resource://devtools/shared/client/debugger-client.js:748:12\nclose@resource://devtools/shared/transport/local-transport.js:154:20\nclose@resource://devtools/shared/transport/local-transport.js:150:13\nclose@resource://devtools/shared/transport/local-transport.js:150:13\ncleanup@resource://devtools/shared/client/debugger-client.js:204:25\ndetachClients@resource://devtools/shared/client/debugger-client.js:229:9\nclose@resource://devtools/shared/client/debugger-client.js:238:5\nclose@resource://devtools/client/aboutdebugging-new/src/modules/client-wrapper.js:160:24\ndisconnectRuntime/<@resource://devtools/client/aboutdebugging-new/src/actions/runtimes.js:167:27\nasync*thunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9\ndispatch@resource://devtools/client/shared/vendor/redux.js:755:18\nunwatchRuntime/<@resource://devtools/client/aboutdebugging-new/src/actions/runtimes.js:276:15\nthunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9\nbindActionCreator/<@resource://devtools/client/shared/vendor/redux.js:644:12\ndestroy@resource://devtools/client/aboutdebugging-new/aboutdebugging.js:117:26\n@resource://devtools/client/aboutdebugging-new/aboutdebugging.js:147:18\n_endRemoveTab@chrome://browser/content/tabbrowser.js:3258:13\nremoveTab@chrome://browser/content/tabbrowser.js:2954:12\nremoveTab@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:191:12\ncloseTabAndToolbox@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:457:9\ncleanup@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:136:11\nasync*nextTest@chrome://mochikit/content/browser-test.js:705:35\nasync*timeoutFn@chrome://mochikit/content/browser-test.js:1202:14\nsetTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:1164:45\nnextTest/<@chrome://mochikit/content/browser-test.js:995:14\nSimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59\n"
[task 2019-03-06T18:03:24.867Z] 18:03:24 INFO - GECKO(1070) | console.error: "[ACTION FAILED] REQUEST_TABS_FAILURE: Connection closed, pending request to root, type listTabs failed\n\nRequest stack:\nrequest@resource://devtools/shared/protocol.js:1386:14\ngenerateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:19\nlistTabs@resource://devtools/shared/fronts/root.js:189:44\nlistTabs@resource://devtools/client/aboutdebugging-new/src/modules/client-wrapper.js:132:33\nrequestTabs/<@resource://devtools/client/aboutdebugging-new/src/actions/debug-targets.js:143:40\nthunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9\ndispatch@resource://devtools/client/shared/vendor/redux.js:755:18\nonTabsUpdated@resource://devtools/client/aboutdebugging-new/src/middleware/debug-target-listener.js:19:11\nemit@resource://devtools/shared/event-emitter.js:186:24\nemit@resource://devtools/shared/event-emitter.js:267:18\nonPacket@resource://devtools/shared/protocol.js:1424:13\nonPacket@resource://devtools/shared/client/debugger-client.js:601:13\nsend/<@resource://devtools/shared/transport/local-transport.js:64:23\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\nDevToolsUtils.executeSoon*exports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21\nsend@resource://devtools/shared/transport/local-transport.js:58:21\nsend@resource://devtools/server/main.js:1023:20\nonTabListChanged@resource://devtools/server/actors/root.js:396:15\nBrowserTabList.prototype._notifyListChanged@resource://devtools/server/actors/webbrowser.js:397:10\nBrowserTabList.prototype._onDOMTitleChanged<@resource://devtools/server/actors/webbrowser.js:567:12\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\nBrowserTabList.prototype.receiveMessage<@resource://devtools/server/actors/webbrowser.js:554:14\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\nMessageListener.receiveMessage*BrowserTabList.prototype._listenForMessagesIf@resource://devtools/server/actors/webbrowser.js:525:33\nBrowserTabList.prototype._checkListening@resource://devtools/server/actors/webbrowser.js:464:8\nBrowserTabList.prototype.getList@resource://devtools/server/actors/webbrowser.js:291:8\nonListTabs@resource://devtools/server/actors/root.js:301:40\nonPacket@resource://devtools/server/main.js:1291:58\nsend/<@resource://devtools/shared/transport/local-transport.js:64:23\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\nDevToolsUtils.executeSoon*exports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21\nsend@resource://devtools/shared/transport/local-transport.js:58:21\nsend@resource://devtools/shared/protocol.js:1370:30\nrequest@resource://devtools/shared/protocol.js:1388:10\ngenerateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:19\nlistTabs@resource://devtools/shared/fronts/root.js:189:44\nlistTabs@resource://devtools/client/aboutdebugging-new/src/modules/client-wrapper.js:132:33\nrequestTabs/<@resource://devtools/client/aboutdebugging-new/src/actions/debug-targets.js:143:40\nthunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9\ndispatch@resource://devtools/client/shared/vendor/redux.js:755:18\nonTabsUpdated@resource://devtools/client/aboutdebugging-new/src/middleware/debug-target-listener.js:19:11\nemit@resource://devtools/shared/event-emitter.js:186:24\nemit@resource://devtools/shared/event-emitter.js:267:18\nonPacket@resource://devtools/shared/protocol.js:1424:13\nonPacket@resource://devtools/shared/client/debugger-client.js:601:13\nsend/<@resource://devtools/shared/transport/local-transport.js:64:23\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\nDevToolsUtils.executeSoon*exports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21\nsend@resource://devtools/shared/transport/local-transport.js:58:21\nsend@resource://devtools/server/main.js:1023:20\nonTabListChanged@resource://devtools/server/actors/root.js:396:15\nBrowserTabList.prototype._notifyListChanged@resource://devtools/server/actors/webbrowser.js:397:10\nBrowserTabList.prototype.handleEvent<@resource://devtools/server/actors/webbrowser.js:585:12\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\naddTab@chrome://browser/content/tabbrowser.js:2654:7\naddTab@resource://testing-common/BrowserTestUtils.jsm:1940:23\naddTab@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:162:32\ntestDebuggingSW@chrome://mochitests/content/browser/devtools/client/aboutdebugging-new/test/browser/browser_aboutdebugging_serviceworker_multie10s.js:47:23\nasync*@chrome://mochitests/content/browser/devtools/client/aboutdebugging-new/test/browser/browser_aboutdebugging_serviceworker_multie10s.js:22:9\nTester_execTest/<@chrome://mochikit/content/browser-test.js:1106:34\nTester_execTest@chrome://mochikit/content/browser-test.js:1134:12\nnextTest/<@chrome://mochikit/content/browser-test.js:995:14\nSimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59\n"
[task 2019-03-06T18:03:24.875Z] 18:03:24 INFO - GECKO(1070) | console.error: "destroy@resource://devtools/shared/protocol.js:1299:23\ncleanup@resource://devtools/shared/protocol.js:960:10\nonClosed@resource://devtools/shared/client/debugger-client.js:748:12\nclose@resource://devtools/shared/transport/local-transport.js:154:20\nclose@resource://devtools/shared/transport/local-transport.js:150:13\nclose@resource://devtools/shared/transport/local-transport.js:150:13\ncleanup@resource://devtools/shared/client/debugger-client.js:204:25\ndetachClients@resource://devtools/shared/client/debugger-client.js:229:9\nclose@resource://devtools/shared/client/debugger-client.js:238:5\nclose@resource://devtools/client/aboutdebugging-new/src/modules/client-wrapper.js:160:24\ndisconnectRuntime/<@resource://devtools/client/aboutdebugging-new/src/actions/runtimes.js:167:27\nasync*thunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9\ndispatch@resource://devtools/client/shared/vendor/redux.js:755:18\nunwatchRuntime/<@resource://devtools/client/aboutdebugging-new/src/actions/runtimes.js:276:15\nthunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9\nbindActionCreator/<@resource://devtools/client/shared/vendor/redux.js:644:12\ndestroy@resource://devtools/client/aboutdebugging-new/aboutdebugging.js:117:26\n@resource://devtools/client/aboutdebugging-new/aboutdebugging.js:147:18\n_endRemoveTab@chrome://browser/content/tabbrowser.js:3258:13\nremoveTab@chrome://browser/content/tabbrowser.js:2954:12\nremoveTab@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:191:12\ncloseTabAndToolbox@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:457:9\ncleanup@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:136:11\nasync*nextTest@chrome://mochikit/content/browser-test.js:705:35\nasync*timeoutFn@chrome://mochikit/content/browser-test.js:1202:14\nsetTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:1164:45\nnextTest/<@chrome://mochikit/content/browser-test.js:995:14\nSimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59\n"
[task 2019-03-06T18:03:24.876Z] 18:03:24 INFO - GECKO(1070) | MEMORY STAT | vsize 965MB | residentFast 412MB | heapAllocated 129MB

This has 54 failures in the last 7 days and 156 in the last 30, most on windows7-32/10-64-shippable opt: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-05-04&endday=2019-06-03&tree=trunk&bug=1533111

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=249642649&repo=mozilla-central&lineNumber=2413
It's now on the disable recommended bugs list. Julian, could you take a look over it and maybe assign to someone for further investigation?

Flags: needinfo?(jdescottes)
Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered] [stockwell needswork:owner]

Thanks for the heads up! I didn't notice the failure rate increased for this one recently.
Based on the retriggers from Andreea, I guess the frequency increased in the following range:
https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=windows%2C7%2Cshippable%2Copt%2Cmochitests%2Ctest-windows7-32-shippable%2Fopt-mochitest-devtools-chrome-e10s-2%2Cm%28dt2%29&tochange=8c1f903def0c&fromchange=8b9b08b7c3ff&group_state=expanded

I started some intermediary retriggers to see which changeset could be responsible. There is one about:debugging change in the list, but for now I don't see how it would be connected to the failure.

Regarding the timeout itself, it seems that we never manage to see the service worker in "Running" state. We would need additional logs now to know in which state the application really is. Interesting to note that the similar test browser_service_workers_multi_content_process.js from the old about:debugging doesn't seem to have similar failures. Both tests are similar but the sequence is different:

  • new test is first disabling multi e10s, then loading the service worker, then enabling multi e10s
  • old test is first loading the service worker, then disabling multi e10s, then enabling multi e10s

Let's wait for the retriggers to see if it helps finding a fix. If nothing seems straightforward, I'll move on to skip this one on windows and file a follow up.

According to the retriggers, this started with Bug 1552108, which is the about:debugging change from the range identified above. This change probably made the startup of aboutdebugging slightly faster, but I am still not sure I understand how this is linked to the timeout.

I did a try push adding a small 200ms wait after opening about:debugging and it seems to fix the issue. I am tempted to go with that since the test is already disabled on several platforms, I don't want to add more exceptions in the skip-if list for this one.

Flags: needinfo?(jdescottes)
Assignee: nobody → jdescottes
Status: NEW → ASSIGNED
Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/26c117fc572d
Wait after opening aboutdebugging in multie10s test to avoid timeouts r=daisuke
Status: ASSIGNED → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 69

The fix that landed here reverted a change that led this intermittent to spike starting mid-May (on windows platforms only). However before that, the test was already a known intermittent. So it is still possible that this test will fail but hopefully the frequent failures on windows platforms should no longer occur.

I filed Bug 1556648 to do more investigations, but we should probably reopen this to track the evolution of the failures.

Flags: needinfo?(jdescottes)

Thank you Julian
Reopening based on above.

Status: RESOLVED → REOPENED
Resolution: FIXED → ---

(In reply to Julian Descottes [:jdescottes] from comment #22)

The fix that landed here reverted a change that led this intermittent to spike starting mid-May (on windows platforms only). However before that, the test was already a known intermittent. So it is still possible that this test will fail but hopefully the frequent failures on windows platforms should no longer occur.

I filed Bug 1556648 to do more investigations, but we should probably reopen this to track the evolution of the failures.

This seems to have been fixed between the 5th and the 11th of June according to OF, however this fails again on macosx1014-64 and macosx1014-64-shippable.

Flags: needinfo?(jdescottes)
Whiteboard: [retriggered] [stockwell disable-recommended] → [retriggered]

I don't have the bandwidth to investigate this at the moment, I am clearing the ni? since it is relatively low frequency. If this becomes an issue, I advise to skip on OSX.

Flags: needinfo?(jdescottes)
Whiteboard: [retriggered] → [retriggered][comment 30]
Assignee: jdescottes → nobody

Happy to take a patch for 70 or beyond, but since this has a P5 priority set, I'm marking this fix-optional now to remove it from weekly triage.

You need to log in before you can comment on or make changes to this bug.